# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    ActivationProperties,
    ActiveDirectoryObject,
    Actor,
    AgentPool,
    AgentPoolListResult,
    AgentPoolQueueStatus,
    AgentPoolUpdateParameters,
    AgentProperties,
    Archive,
    ArchiveListResult,
    ArchivePackageSourceProperties,
    ArchiveProperties,
    ArchiveUpdateParameters,
    ArchiveVersion,
    ArchiveVersionListResult,
    Argument,
    AuthCredential,
    AuthInfo,
    AuthInfoUpdateParameters,
    AzureADAuthenticationAsArmPolicy,
    BaseImageDependency,
    BaseImageTrigger,
    BaseImageTriggerUpdateParameters,
    CacheRule,
    CacheRuleUpdateParameters,
    CacheRulesListResult,
    CallbackConfig,
    ConnectedRegistry,
    ConnectedRegistryListResult,
    ConnectedRegistryUpdateParameters,
    CredentialHealth,
    CredentialSet,
    CredentialSetListResult,
    CredentialSetUpdateParameters,
    Credentials,
    CustomRegistryCredentials,
    DebianArchivePackageSourceProperties,
    DebianArchiveProperties,
    DockerBuildRequest,
    DockerBuildStep,
    DockerBuildStepUpdateParameters,
    EncodedTaskRunRequest,
    EncodedTaskStep,
    EncodedTaskStepUpdateParameters,
    EncryptionProperty,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    Event,
    EventContent,
    EventInfo,
    EventListResult,
    EventRequestMessage,
    EventResponseMessage,
    ExportPipeline,
    ExportPipelineListResult,
    ExportPipelineTargetProperties,
    ExportPolicy,
    FileTaskRunRequest,
    FileTaskStep,
    FileTaskStepUpdateParameters,
    GarbageCollectionProperties,
    GenerateCredentialsParameters,
    GenerateCredentialsResult,
    IPRule,
    IdentityProperties,
    ImageDescriptor,
    ImageUpdateTrigger,
    ImportImageParameters,
    ImportPipeline,
    ImportPipelineListResult,
    ImportPipelineSourceProperties,
    ImportSource,
    ImportSourceCredentials,
    KeyVaultProperties,
    LoggingProperties,
    LoginServerProperties,
    NetworkRuleSet,
    OperationDefinition,
    OperationDisplayDefinition,
    OperationListResult,
    OperationLogSpecificationDefinition,
    OperationMetricSpecificationDefinition,
    OperationServiceSpecificationDefinition,
    OverrideTaskStepProperties,
    PackageType,
    ParentProperties,
    PipelineRun,
    PipelineRunListResult,
    PipelineRunRequest,
    PipelineRunResponse,
    PipelineRunSourceProperties,
    PipelineRunTargetProperties,
    PipelineSourceTriggerDescriptor,
    PipelineSourceTriggerProperties,
    PipelineTriggerDescriptor,
    PipelineTriggerProperties,
    PlatformProperties,
    PlatformUpdateParameters,
    Policies,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkServiceConnectionState,
    ProgressProperties,
    ProxyResource,
    QuarantinePolicy,
    RegenerateCredentialParameters,
    Registry,
    RegistryListCredentialsResult,
    RegistryListResult,
    RegistryNameCheckRequest,
    RegistryNameStatus,
    RegistryPassword,
    RegistryUpdateParameters,
    RegistryUsage,
    RegistryUsageListResult,
    Replication,
    ReplicationListResult,
    ReplicationUpdateParameters,
    Request,
    Resource,
    RetentionPolicy,
    Run,
    RunFilter,
    RunGetLogResult,
    RunListResult,
    RunRequest,
    RunUpdateParameters,
    ScopeMap,
    ScopeMapListResult,
    ScopeMapUpdateParameters,
    SecretObject,
    SetValue,
    Sku,
    SoftDeletePolicy,
    Source,
    SourceProperties,
    SourceRegistryCredentials,
    SourceTrigger,
    SourceTriggerDescriptor,
    SourceTriggerUpdateParameters,
    SourceUpdateParameters,
    SourceUploadDefinition,
    Status,
    StatusDetailProperties,
    StorageAccountProperties,
    SyncProperties,
    SyncUpdateProperties,
    SystemData,
    Target,
    Task,
    TaskListResult,
    TaskRun,
    TaskRunListResult,
    TaskRunRequest,
    TaskRunUpdateParameters,
    TaskStepProperties,
    TaskStepUpdateParameters,
    TaskUpdateParameters,
    TimerTrigger,
    TimerTriggerDescriptor,
    TimerTriggerUpdateParameters,
    TlsCertificateProperties,
    TlsProperties,
    Token,
    TokenCertificate,
    TokenCredentialsProperties,
    TokenListResult,
    TokenPassword,
    TokenUpdateParameters,
    TriggerProperties,
    TriggerUpdateParameters,
    TrustPolicy,
    UserIdentityProperties,
    Webhook,
    WebhookCreateParameters,
    WebhookListResult,
    WebhookUpdateParameters,
)

from ._container_registry_management_client_enums import (  # type: ignore
    Action,
    ActionsRequired,
    ActivationStatus,
    Architecture,
    AuditLogStatus,
    AutoGeneratedDomainNameLabelScope,
    AzureADAuthenticationAsArmPolicyStatus,
    BaseImageDependencyType,
    BaseImageTriggerType,
    CertificateType,
    ConnectedRegistryMode,
    ConnectionState,
    ConnectionStatus,
    CreatedByType,
    CredentialHealthStatus,
    CredentialName,
    DefaultAction,
    EncryptionStatus,
    ExportPolicyStatus,
    ImportMode,
    LastModifiedByType,
    LogLevel,
    MetadataSearch,
    NetworkRuleBypassOptions,
    OS,
    PackageSourceType,
    PasswordName,
    PipelineOptions,
    PipelineRunSourceType,
    PipelineRunTargetType,
    PipelineSourceType,
    PolicyStatus,
    ProvisioningState,
    PublicNetworkAccess,
    RegistryUsageUnit,
    ResourceIdentityType,
    RoleAssignmentMode,
    RunStatus,
    RunType,
    SecretObjectType,
    SkuName,
    SkuTier,
    SourceControlType,
    SourceRegistryLoginMode,
    SourceTriggerEvent,
    StepType,
    TaskStatus,
    TlsStatus,
    TokenCertificateName,
    TokenPasswordName,
    TokenStatus,
    TokenType,
    TriggerStatus,
    TrustPolicyType,
    UpdateTriggerPayloadType,
    Variant,
    WebhookAction,
    WebhookStatus,
    ZoneRedundancy,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "ActivationProperties",
    "ActiveDirectoryObject",
    "Actor",
    "AgentPool",
    "AgentPoolListResult",
    "AgentPoolQueueStatus",
    "AgentPoolUpdateParameters",
    "AgentProperties",
    "Archive",
    "ArchiveListResult",
    "ArchivePackageSourceProperties",
    "ArchiveProperties",
    "ArchiveUpdateParameters",
    "ArchiveVersion",
    "ArchiveVersionListResult",
    "Argument",
    "AuthCredential",
    "AuthInfo",
    "AuthInfoUpdateParameters",
    "AzureADAuthenticationAsArmPolicy",
    "BaseImageDependency",
    "BaseImageTrigger",
    "BaseImageTriggerUpdateParameters",
    "CacheRule",
    "CacheRuleUpdateParameters",
    "CacheRulesListResult",
    "CallbackConfig",
    "ConnectedRegistry",
    "ConnectedRegistryListResult",
    "ConnectedRegistryUpdateParameters",
    "CredentialHealth",
    "CredentialSet",
    "CredentialSetListResult",
    "CredentialSetUpdateParameters",
    "Credentials",
    "CustomRegistryCredentials",
    "DebianArchivePackageSourceProperties",
    "DebianArchiveProperties",
    "DockerBuildRequest",
    "DockerBuildStep",
    "DockerBuildStepUpdateParameters",
    "EncodedTaskRunRequest",
    "EncodedTaskStep",
    "EncodedTaskStepUpdateParameters",
    "EncryptionProperty",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "Event",
    "EventContent",
    "EventInfo",
    "EventListResult",
    "EventRequestMessage",
    "EventResponseMessage",
    "ExportPipeline",
    "ExportPipelineListResult",
    "ExportPipelineTargetProperties",
    "ExportPolicy",
    "FileTaskRunRequest",
    "FileTaskStep",
    "FileTaskStepUpdateParameters",
    "GarbageCollectionProperties",
    "GenerateCredentialsParameters",
    "GenerateCredentialsResult",
    "IPRule",
    "IdentityProperties",
    "ImageDescriptor",
    "ImageUpdateTrigger",
    "ImportImageParameters",
    "ImportPipeline",
    "ImportPipelineListResult",
    "ImportPipelineSourceProperties",
    "ImportSource",
    "ImportSourceCredentials",
    "KeyVaultProperties",
    "LoggingProperties",
    "LoginServerProperties",
    "NetworkRuleSet",
    "OperationDefinition",
    "OperationDisplayDefinition",
    "OperationListResult",
    "OperationLogSpecificationDefinition",
    "OperationMetricSpecificationDefinition",
    "OperationServiceSpecificationDefinition",
    "OverrideTaskStepProperties",
    "PackageType",
    "ParentProperties",
    "PipelineRun",
    "PipelineRunListResult",
    "PipelineRunRequest",
    "PipelineRunResponse",
    "PipelineRunSourceProperties",
    "PipelineRunTargetProperties",
    "PipelineSourceTriggerDescriptor",
    "PipelineSourceTriggerProperties",
    "PipelineTriggerDescriptor",
    "PipelineTriggerProperties",
    "PlatformProperties",
    "PlatformUpdateParameters",
    "Policies",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkServiceConnectionState",
    "ProgressProperties",
    "ProxyResource",
    "QuarantinePolicy",
    "RegenerateCredentialParameters",
    "Registry",
    "RegistryListCredentialsResult",
    "RegistryListResult",
    "RegistryNameCheckRequest",
    "RegistryNameStatus",
    "RegistryPassword",
    "RegistryUpdateParameters",
    "RegistryUsage",
    "RegistryUsageListResult",
    "Replication",
    "ReplicationListResult",
    "ReplicationUpdateParameters",
    "Request",
    "Resource",
    "RetentionPolicy",
    "Run",
    "RunFilter",
    "RunGetLogResult",
    "RunListResult",
    "RunRequest",
    "RunUpdateParameters",
    "ScopeMap",
    "ScopeMapListResult",
    "ScopeMapUpdateParameters",
    "SecretObject",
    "SetValue",
    "Sku",
    "SoftDeletePolicy",
    "Source",
    "SourceProperties",
    "SourceRegistryCredentials",
    "SourceTrigger",
    "SourceTriggerDescriptor",
    "SourceTriggerUpdateParameters",
    "SourceUpdateParameters",
    "SourceUploadDefinition",
    "Status",
    "StatusDetailProperties",
    "StorageAccountProperties",
    "SyncProperties",
    "SyncUpdateProperties",
    "SystemData",
    "Target",
    "Task",
    "TaskListResult",
    "TaskRun",
    "TaskRunListResult",
    "TaskRunRequest",
    "TaskRunUpdateParameters",
    "TaskStepProperties",
    "TaskStepUpdateParameters",
    "TaskUpdateParameters",
    "TimerTrigger",
    "TimerTriggerDescriptor",
    "TimerTriggerUpdateParameters",
    "TlsCertificateProperties",
    "TlsProperties",
    "Token",
    "TokenCertificate",
    "TokenCredentialsProperties",
    "TokenListResult",
    "TokenPassword",
    "TokenUpdateParameters",
    "TriggerProperties",
    "TriggerUpdateParameters",
    "TrustPolicy",
    "UserIdentityProperties",
    "Webhook",
    "WebhookCreateParameters",
    "WebhookListResult",
    "WebhookUpdateParameters",
    "Action",
    "ActionsRequired",
    "ActivationStatus",
    "Architecture",
    "AuditLogStatus",
    "AutoGeneratedDomainNameLabelScope",
    "AzureADAuthenticationAsArmPolicyStatus",
    "BaseImageDependencyType",
    "BaseImageTriggerType",
    "CertificateType",
    "ConnectedRegistryMode",
    "ConnectionState",
    "ConnectionStatus",
    "CreatedByType",
    "CredentialHealthStatus",
    "CredentialName",
    "DefaultAction",
    "EncryptionStatus",
    "ExportPolicyStatus",
    "ImportMode",
    "LastModifiedByType",
    "LogLevel",
    "MetadataSearch",
    "NetworkRuleBypassOptions",
    "OS",
    "PackageSourceType",
    "PasswordName",
    "PipelineOptions",
    "PipelineRunSourceType",
    "PipelineRunTargetType",
    "PipelineSourceType",
    "PolicyStatus",
    "ProvisioningState",
    "PublicNetworkAccess",
    "RegistryUsageUnit",
    "ResourceIdentityType",
    "RoleAssignmentMode",
    "RunStatus",
    "RunType",
    "SecretObjectType",
    "SkuName",
    "SkuTier",
    "SourceControlType",
    "SourceRegistryLoginMode",
    "SourceTriggerEvent",
    "StepType",
    "TaskStatus",
    "TlsStatus",
    "TokenCertificateName",
    "TokenPasswordName",
    "TokenStatus",
    "TokenType",
    "TriggerStatus",
    "TrustPolicyType",
    "UpdateTriggerPayloadType",
    "Variant",
    "WebhookAction",
    "WebhookStatus",
    "ZoneRedundancy",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
